#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QDebug>
#include "logindialog.h"
#include <QMessageBox>
#include <QLabel>
#include <QtGui/QMenuBar>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ps = PositionSource::instance();
    ui->setupUi(this);
    s = new Settings();
    if(s->getSetting("token")=="")
    {
        LoginDialog ld(this);
        ld.exec();
    }

    fsc = FoursquareComm::instance();

    if(s->getSetting("userid")=="")
    {
        f_user u = fsc->getUser();
        s->setSetting("userid",u.id);
    }
    ui->pbFriends->setVisible(false); //TODO

    QAction *aboutAction = new QAction(tr("About"), this);
    menuBar()->addAction(aboutAction);
    connect(aboutAction,SIGNAL(triggered(bool)),this,SLOT(showAbout()));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pbSearchVenue_clicked()
{
    svw = new SearchVenuesWindow(this);
    svw->show();
}

void MainWindow::on_pbLeaderboard_clicked()
{
    lb = new LeaderBoard(this);
    lb->show();
}

void MainWindow::on_pbRecent_clicked()
{
    rcw = new RecentCheckinsWindow(this);
    rcw->show();
}

void MainWindow::on_pbTips_clicked()
{
    ntf = new NearbyTipsForm(this);
    ntf->show();
}

void MainWindow::showAbout()
{
    QMessageBox::information(this,"About FourCircle","<b>FourCircle</b><br>By Ted van den Brink<br><a href=\"mailto:ted@digistate.nl\">ted@digistate.nl</a><br>Thanks at:<br>Gilamonyet for the icon");
}
