#include "nearbytipsform.h"
#include "ui_nearbytipsform.h"

NearbyTipsForm::NearbyTipsForm(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::NearbyTipsForm)
{
    ui->setupUi(this);
    fsc = FoursquareComm::instance();
    ps = PositionSource::instance();
    ic = new ImageCache();

    #if defined(Q_WS_MAEMO_5)
    this->setAttribute(Qt::WA_Maemo5StackedWindow);
    #endif
    this->setWindowFlags(this->windowFlags()| Qt::Window);
    this->setAttribute(Qt::WA_Maemo5ShowProgressIndicator);
    tips = fsc->getNearbyTips(ps->getLL());
    ui->twTips->setColumnCount(3);
    for (int i=0;i<tips.count();i++)
    {
        QTreeWidgetItem * twi = new QTreeWidgetItem(ui->twTips);
        twi->setIcon(0,QIcon(ic->getImage(tips.at(i).venue.icon)));
        twi->setText(1,tips.at(i).venue.name+"\n~"+QString::number(tips.at(i).venue.location.distance)+"m");
        twi->setText(2,tips.at(i).text+"\nBy: "+tips.at(i).user.firstName+" "+tips.at(i).user.lastName);
    }
    for(int i = 0; i< ui->twTips->columnCount(); i++)
        ui->twTips->resizeColumnToContents(i);
    this->setAttribute(Qt::WA_Maemo5ShowProgressIndicator,false);
}

NearbyTipsForm::~NearbyTipsForm()
{
    delete ui;
}

void NearbyTipsForm::on_twTips_clicked(QModelIndex index)
{
    vd = new VenueDetails(this);
    vd->setVenue(tips.at(index.row()).venue);
    vd->show();
}
